#!/bin/bash
#-----BEGIN PGP SIGNATURE-----
#Version: GnuPG v2.0.22 (GNU/Linux)
#Comment: 2008-11-24 ePages Software GmbH (release key) <rnd@epages.de>
#
#iEYEABECAAYFAlbAViEACgkQl5jMabHSgyC01wCgx72eDkedxiql2fj4n8x/zZ1p
#tp0AnjBLwwdVaW12n85An4gLOuOc1qz+
#=1WcP
#-----END PGP SIGNATURE-----
#
# Wrapper-script for DailyMerge.mak.


if [ ! -r /etc/default/epages6 ] ; then
     echo 'No ePages installation found.'
     exit 1
else
     . /etc/default/epages6
fi

# Remove left-overs from previous runs.
if [ -d "$EPAGES_CARTRIDGES/DE_EPAGES/CodeGenerator/Scripts/RND" ] ; then
     rm -Rf $EPAGES_CARTRIDGES/DE_EPAGES/CodeGenerator/Scripts/RND
fi

# Call DailyMerge.mak which handles everything else.
TIMESTAMP="`date +%y%m%d-%H%M`"
if [ -d "$EPAGES_CARTRIDGES/DE_EPAGES/CodeGenerator/Scripts" ] ; then
     cd $EPAGES_CARTRIDGES/DE_EPAGES/CodeGenerator/Scripts
     make -f dailyMerge.mak PERL=$PERL 2>&1 | tee "$EPAGES_LOG/merge-${TIMESTAMP}.txt"
     # "merge-111116-1628.txt"
     # nmake -nologo -f DailyMerge.mak 2>&1 | tee "%EPAGES_LOG%\merge-%DATE:~8,8%%DATE:~3,2%%DATE:~0,2%-%TIME:~0,2%%TIME:~3,2%.txt"
     if [[ ${PIPESTATUS[0]} -ne 0 ]] ; then
          exit 1
     fi
else
     echo "Directory $EPAGES_CARTRIDGES/DE_EPAGES/CodeGenerator/Scripts does not exist."
     exit 1
fi

# Save artifact, if $WORKSPACE exists.
if [ -d "$WORKSPACE" ] ; then
     [ -r "$EPAGES_LOG/merge-${TIMESTAMP}.txt" ] && cp -v "$EPAGES_LOG/merge-${TIMESTAMP}.txt" "$WORKSPACE"/.
else
     echo 'Variable $WORKSPACE is not defined.'
fi

# Remove working directory RND.
if [ -d "$EPAGES_CARTRIDGES/DE_EPAGES/CodeGenerator/Scripts/RND" ] ; then
     rm -Rf $EPAGES_CARTRIDGES/DE_EPAGES/CodeGenerator/Scripts/RND
fi
